What Compilers are Supported with PSCAD v5?

Third-party compiler software is required to build PSCAD projects. The following compiling software is officially supported with PSCAD v5:

Note - To clarify support for Intel 19.x in the above article, PSCAD V5 officially supports Intel 19.0 and 19.1. However, Intel 19.2 (Intel "oneAPI") has been shown to work with PSCAD V5 on test machines.

Note - PSCAD V5 is available only as a 64-bit edition, but this edition is compatible for running models using both the 32-bit and 64-bit editions of the Intel Fortran compiler.

  • The versions of Visual Studio software that are supported with PSCAD V5 are VS 2010 to VS 2019.

Note - Visual Studio software is a third-party software that is required when using the Intel compiler. For more information, refer to this article.

Note - The versions of Visual Studio and Intel compiler must be compatible. Information on compatibility is available in this article.

Back